=begin
#Treezor

#Treezor API.  more info [here](https://www.treezor.com). 

OpenAPI spec version: 0.1.1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for TreezorClient::PayinApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PayinApi' do
  before do
    # run before each test
    @instance = TreezorClient::PayinApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PayinApi' do
    it 'should create an instance of PayinApi' do
      expect(@instance).to be_instance_of(TreezorClient::PayinApi)
    end
  end

  # unit tests for delete_payin
  # delete a pay in
  # Deactivate a payin in the system.
  # @param id Payin&#39;s id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20017]
  describe 'delete_payin test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payin
  # get a pay in
  # Get a payin from the system by its id.
  # @param id Payin&#39;s id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20017]
  describe 'get_payin test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payins
  # search pay ins
  # Get payins that match search criteria.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :payin_id Payin&#39;s id.
  # @option opts [Integer] :wallet_id Payin&#39;s wallet id.
  # @option opts [String] :payin_tag Client custom data.
  # @option opts [String] :payin_status Payins&#39;s status.
  # @option opts [Integer] :user_id User&#39;s id who performed the operation (debited).
  # @option opts [String] :user_name User&#39;s name who performed the operation (debited).
  # @option opts [String] :user_email User&#39;s email who performed the operation (debited).
  # @option opts [Integer] :beneficiary_user_id User&#39;s id who received the operation (credited).
  # @option opts [String] :event_alias Wallet eventAlias of the payin (credited wallet).
  # @option opts [Integer] :wallet_type_id Payin&#39;s wallet type id.
  # @option opts [String] :payment_method_id Payin&#39;s payment method id.
  # @option opts [DateTime] :created_date_from The creation date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :created_date_to The creation date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_from The modification date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_to The modification date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [Integer] :page_number Pagination page number. More info [here](https://agent.treezor.com/lists). 
  # @option opts [Integer] :page_count The number of items per page. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_by The transaction element you want to sort the list with. Default value : createdDate. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_order The order you want to sort the list. * **DESC** for a descending sort * **ASC** for a ascending sort.  Default value : DESC. More info [here](https://agent.treezor.com/lists). 
  # @return [InlineResponse20017]
  describe 'get_payins test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for post_payin
  # create a pay in
  # Create a new pay in in the system.
  # @param wallet_id Credited wallet&#39;s ID
  # @param user_id User&#39;s id who makes the pay in. NB : this parameter should should not be transmitted in the case of payin of method Sepa Direct Debit Core (21). It will be set automatically by the system. 
  # @param payment_method_id | Id | Payment by | | ---| --- | | 3 | Check | | 11 | Card | | 14 | Oneclick card (without payment form) | | 21 | Sepa Direct Debit Core | | 23 | Full Hosted HTML Payment Form. Please note that if you use this paymentMethodId the flieds paymentAcceptedUrl, paymentRefusedUrl, paymentWaitingUrl, paymentCanceledUrl and paymentExceptionUrl are mandatory. CSS of the payment page can be customized | | 24 | IFrame Payment Form. Please note that if you use this paymentMethodId the flieds paymentAcceptedUrl, paymentRefusedUrl, paymentWaitingUrl, paymentCanceledUrl and paymentExceptionUrl are mandatory. CSS of the payment page can be customized| | 25 | Payment made through an SDK - You cannot directly create a payin directly with this method id. The payin will be automatically created by the system. | 
  # @param amount Pay in amount.
  # @param currency Payin currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). Must be the same as the wallet&#39;s. 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :payin_tag Client custom data.
  # @option opts [Integer] :oneclickcard_id Oneclick card&#39;s id. Mandatory if payment method is 14. Useless otherwise.
  # @option opts [String] :payment_accepted_url Url where cardholder is redirected if payment is successful. When using paymentMethodId 23 and 24 an HTTPS URL is mandatory.
  # @option opts [String] :payment_waiting_url Url where cardholder is redirected to wait payment processing. When using paymentMethodId 23 and 24 an HTTPS URL is mandatory.
  # @option opts [String] :payment_refused_url Url where cardholder is redirected if payment is refused. When using paymentMethodId 23 and 24 an HTTPS URL is mandatory.
  # @option opts [String] :payment_canceled_url Url where cardholder is redirected if payment is canceled. When using paymentMethodId 23 and 24 an HTTPS URL is mandatory.
  # @option opts [String] :payment_exception_url Url where cardholder is redirected if the payment process raised an exception. When using paymentMethodId 23 and 24 an HTTPS URL is mandatory.
  # @option opts [Float] :distributor_fee Distributor fee
  # @option opts [String] :message_to_user Message to send to wallet&#39;s user. In the case of a Sepa Direct Debit Core payment method this parameter will be the reconciliation information transmitted to the Debtor (ie. Invoice number ...). In this case it cannot be more than 140 characters.
  # @option opts [String] :language Language for the third party interface.
  # @option opts [String] :created_ip User&#39;s IP address
  # @option opts [String] :payin_date The date at which the SDD should be presented. This parameter is mandatory when performing a payin of method SDD Core. Format is YYYY-MM-DD The date should follow some requirements (Traget 2 working day) :    - Be a weekday (Monday to Friday)   - January 1st is excluded   - May 1st is excluded   - December 25 is excluded   - December 26th is excluded   - Easter day is excluded   - Easter Monday is excluded   - Good Friday is excluded 
  # @option opts [Integer] :mandate_id The id of the mandate. This parameter is mandatory when performing a payin with method SDD Core.
  # @return [InlineResponse20017]
  describe 'post_payin test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
