=begin
#Treezor

#Treezor API.  more info [here](https://www.treezor.com). 

OpenAPI spec version: 0.1.1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for TreezorClient::PayinrefundApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PayinrefundApi' do
  before do
    # run before each test
    @instance = TreezorClient::PayinrefundApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PayinrefundApi' do
    it 'should create an instance of PayinrefundApi' do
      expect(@instance).to be_instance_of(TreezorClient::PayinrefundApi)
    end
  end

  # unit tests for delete_payinrefund
  # cancel a pay in refund
  # Change payin refund&#39;s status to CANCELED. A validated payin refund can&#39;t be cancelled.
  # @param id Payinrefund&#39;s internal id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20019]
  describe 'delete_payinrefund test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payinrefund
  # get a pay in refund
  # Get a payin refund from the system.
  # @param id Payinrefund&#39;s internal id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20019]
  describe 'get_payinrefund test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payinrefunds
  # search pay in refunds
  # Search for payinrefunds in the system.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :payin_id Payin&#39;s id.
  # @option opts [Integer] :payinrefund_id Payinrefund&#39;s id.
  # @option opts [String] :payinrefund_tag Custom data.
  # @option opts [String] :payinrefund_status Payinrefund&#39;s status. Possible values: * PENDING * CANCELED * VALIDATED
  # @option opts [Integer] :wallet_id Wallet&#39;s id to refund.
  # @option opts [DateTime] :payinrefund_date payinrefund&#39;s date. Format: YYYY-MM-DD
  # @option opts [Integer] :user_id User&#39;s id who made refunds.
  # @option opts [String] :amount Refund&#39;s amount.
  # @option opts [String] :currency Transfert amount currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). 
  # @option opts [Integer] :page_number Pagination page number. More info [here](https://agent.treezor.com/lists). 
  # @option opts [Integer] :page_count The number of items per page. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_by The transaction element you want to sort the list with. Default value : _createdDate_. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_order The order you want to sort the list. * **DESC** for a descending sort * **ASC** for a ascending sort.  Default value : DESC. More info [here](https://agent.treezor.com/lists). 
  # @option opts [DateTime] :created_date_from The creation date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :created_date_to The creation date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_from The modification date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_to The modification date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @return [InlineResponse20019]
  describe 'get_payinrefunds test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for post_payinrefunds
  # create a pay in refund
  # Create a new payinrefund in the system.
  # @param payin_id payin&#39;s id to refund.
  # @param amount Refund amount.
  # @param currency Refund currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :payinrefund_tag Custom data.
  # @option opts [String] :comment End user, client or issuer comment.
  # @return [InlineResponse20019]
  describe 'post_payinrefunds test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
