=begin
#Treezor

#Treezor API.  more info [here](https://www.treezor.com). 

OpenAPI spec version: 0.1.1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for TreezorClient::PayoutApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PayoutApi' do
  before do
    # run before each test
    @instance = TreezorClient::PayoutApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PayoutApi' do
    it 'should create an instance of PayoutApi' do
      expect(@instance).to be_instance_of(TreezorClient::PayoutApi)
    end
  end

  # unit tests for delete_payout
  # cancel a payout
  # Change pay out status to CANCELED. A VALIDATED pay out can&#39;t be canceled.
  # @param id Payouts internal id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20020]
  describe 'delete_payout test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payout
  # get a payout
  # Get a pay out from the system.
  # @param id Payouts internal id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20020]
  describe 'get_payout test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_payouts
  # search pay outs
  # Get pay out that match search criteria.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :payout_id Payout&#39;s Id
  # @option opts [String] :payout_tag Custom data.
  # @option opts [String] :payout_status pay out status; Possible values: * CANCELED * PENDING * VALIDATED 
  # @option opts [Integer] :payout_type_id Pay out type&#39;s id.
  # @option opts [String] :payout_type Pay out type; Possible values: * Credit Transfer * Direct Debit 
  # @option opts [Integer] :wallet_id Pay out wallet&#39;s id.
  # @option opts [String] :event_alias Pay out wallet&#39;s event alias.
  # @option opts [Integer] :user_id Pay out user&#39;s id.
  # @option opts [String] :user_name Pay out user&#39;s name.
  # @option opts [String] :user_email Pay out user&#39;s email.
  # @option opts [DateTime] :payout_date pay out execution date. Format: YYYY-MM-DD HH:MM:SS&#39; 
  # @option opts [Integer] :bankaccount_id Pay out bank account id.
  # @option opts [String] :bankaccount_iban Pay out bank account IBAN.
  # @option opts [String] :label Pay out label that will be displayed in the receiver&#39;s account.
  # @option opts [String] :amount Pay out amount.
  # @option opts [String] :currency Transfert amount currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). 
  # @option opts [Integer] :page_number Pagination page number. More info [here](https://agent.treezor.com/lists). 
  # @option opts [Integer] :page_count The number of items per page. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_by The transaction element you want to sort the list with. Default value : _createdDate_. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_order The order you want to sort the list. * **DESC** for a descending sort * **ASC** for a ascending sort.  Default value : DESC. More info [here](https://agent.treezor.com/lists). 
  # @option opts [DateTime] :created_date_from The creation date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :created_date_to The creation date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_from The modification date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_to The modification date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @return [InlineResponse20020]
  describe 'get_payouts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for post_payout
  # create a pay out
  # Create a new pay out in the system.
  # @param wallet_id Pay out wallet id.
  # @param amount Pay out amount.
  # @param currency Transfert amount currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :payout_tag Custom data.
  # @option opts [Integer] :bankaccount_id Pay out bank account&#39;s id. Mandatory id beneficiaryId is not provided. If bankaccountId and beneficiaryId are both provided, the beneficiaryId will be used.
  # @option opts [Integer] :beneficiary_id Pay out beneficiary&#39;s id. Mandatory id bankaccountId is not provided. If bankaccountId and beneficiaryId are both provided, the beneficiaryId will be used.
  # @option opts [String] :label Pay out label that will be displayed in the receiver&#39;s account (140 chars max).
  # @option opts [String] :supporting_file_link Support file link
  # @return [InlineResponse20020]
  describe 'post_payout test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
