=begin
#Treezor

#Treezor API.  more info [here](https://www.treezor.com). 

OpenAPI spec version: 0.1.1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for TreezorClient::TransferApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TransferApi' do
  before do
    # run before each test
    @instance = TreezorClient::TransferApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TransferApi' do
    it 'should create an instance of TransferApi' do
      expect(@instance).to be_instance_of(TreezorClient::TransferApi)
    end
  end

  # unit tests for delete_transfer
  # cancel a transfer
  # Change transfer&#39;s status to CANCELED. A validated transfer can&#39;t be cancelled.
  # @param id Transfert internal id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20023]
  describe 'delete_transfer test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_transfer
  # get a transfer
  # Get a transfert from the system.
  # @param id Transfers internal id.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20023]
  describe 'get_transfer test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_transfers
  # search transfers
  # Search for transfers in the system.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :transfer_id Transfer&#39;s id.
  # @option opts [String] :transfer_tag Custom data.
  # @option opts [String] :transfer_status Transfer&#39;s status. Possible values: * PENDING * CANCELED * VALIDATED 
  # @option opts [String] :label Transfer&#39;s label.
  # @option opts [Integer] :wallet_id Debited wallet&#39;s id.
  # @option opts [String] :wallet_name Debited wallet&#39;s name.
  # @option opts [Integer] :wallet_type_id Debited wallet&#39;s type id.
  # @option opts [Integer] :beneficiary_wallet_id Credited wallet&#39;s id.
  # @option opts [String] :beneficiary_wallet_name Credited wallet&#39;s name.
  # @option opts [Integer] :beneficiary_wallet_type_id Credited wallet&#39;s type id.
  # @option opts [Integer] :user_id Debited wallet user&#39;s id.
  # @option opts [Integer] :beneficiary_user_id Credited wallet user&#39;s id.
  # @option opts [DateTime] :transfer_date Transfer&#39;s date. Format : YYYY-MM-DD HH:MM:SS 
  # @option opts [String] :amount Transfert&#39;s amount.
  # @option opts [String] :currency Transfert amount currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). 
  # @option opts [Integer] :transfer_type_id The Type Id of the Transfer:  | ID | Description | |-----|-----| | 1 | Wallet to wallet | | 2 | Card transaction | | 3 | Client fees | | 4 | Credit note | 
  # @option opts [Integer] :page_number Pagination page number. More info [here](https://agent.treezor.com/lists). 
  # @option opts [Integer] :page_count The number of items per page. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_by The transaction element you want to sort the list with. Default value : _createdDate_. More info [here](https://agent.treezor.com/lists). 
  # @option opts [String] :sort_order The order you want to sort the list. * **DESC** for a descending sort * **ASC** for a ascending sort.  Default value : DESC. More info [here](https://agent.treezor.com/lists). 
  # @option opts [DateTime] :created_date_from The creation date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :created_date_to The creation date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_from The modification date from which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @option opts [DateTime] :updated_date_to The modification date up to which you want to filter the request result. Format YYYY-MM-DD HH:MM:SS. More info [here](https://agent.treezor.com/lists) 
  # @return [InlineResponse20023]
  describe 'get_transfers test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for post_transfers
  # create a transfer
  # Create a new transfer in the system.
  # @param wallet_id Debited wallet&#39;s ID
  # @param beneficiary_wallet_id Credited wallet&#39;s ID
  # @param amount Transfer&#39;s amount
  # @param currency Transfert&#39;s currency. Debited wallet and credited wallet must share same currency. Format: [ISO 4217](https://fr.wikipedia.org/wiki/ISO_4217). 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :access_signature Access signature can be mandatory for specific context. Treezor will contact you if so. More info [here](https://agent.treezor.com/security-authentication). 
  # @option opts [String] :access_tag Access tag is used for idem potency query. More info [here](https://agent.treezor.com/basics). 
  # @option opts [Integer] :access_user_id Access user&#39;s id is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :access_user_ip Access user&#39;s ip is used for user&#39;s action restriction. More info [here](https://agent.treezor.com/basics). 
  # @option opts [String] :transfer_tag Custom data.
  # @option opts [String] :label Custom data.
  # @option opts [Integer] :transfer_type_id The Type Id of the Transfer:  | ID | Description | |-----|-----| | 1 | Wallet to wallet (default value) | | 3 | Client fees | | 4 | Credit note | 
  # @return [InlineResponse20023]
  describe 'post_transfers test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
